Transfer cycle work items
POST/api/v1/workspaces/{workspace_slug}/projects/{project_id}/cycles/{cycle_id}/transfer-issues/
Move the unfinished work items in a cycle to another cycle. Completed work items stay in the original cycle, and Plane also saves a snapshot of the cycle's progress.
Path parameters
cycle_id:requiredstringThe unique identifier of the cycle.
project_id:requiredstringThe unique identifier of the project.
workspace_slug:requiredstringThe workspace slug. It appears in your Plane URLs. In https://app.plane.so/my-team/projects/, the slug is my-team.
Body parameters
new_cycle_id:requiredstringID of the cycle to move the work items to.
Scopes
projects.cycles:write
Transfer cycle work items
bash
curl -X POST \
"https://api.plane.so/api/v1/workspaces/my-workspace/projects/project-uuid/cycles/cycle-uuid/transfer-issues/" \
-H "X-API-Key: $PLANE_API_KEY" \
# Or use -H "Authorization: Bearer $PLANE_OAUTH_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"new_cycle_id": "550e8400-e29b-41d4-a716-446655440000"
}'python
import requests
response = requests.post(
"https://api.plane.so/api/v1/workspaces/my-workspace/projects/project-uuid/cycles/cycle-uuid/transfer-issues/",
headers={"X-API-Key": "your-api-key"},
json={
"new_cycle_id": "550e8400-e29b-41d4-a716-446655440000"
}
)
print(response.json())javascript
const response = await fetch(
"https://api.plane.so/api/v1/workspaces/my-workspace/projects/project-uuid/cycles/cycle-uuid/transfer-issues/",
{
method: "POST",
headers: {
"X-API-Key": "your-api-key",
"Content-Type": "application/json",
},
body: JSON.stringify({
new_cycle_id: "550e8400-e29b-41d4-a716-446655440000",
}),
},
);
const data = await response.json();Response200
json
{
"message": "Success"
}
